
package ru.kolevatykh.tm.endpoint;

import javax.xml.ws.WebFault;


/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-04-13T02:20:13.983+03:00
 * Generated source version: 3.2.7
 */

@WebFault(name = "EmptyInputException", targetNamespace = "http://endpoint.tm.kolevatykh.ru/")
public class EmptyInputException_Exception extends java.lang.Exception {

    private ru.kolevatykh.tm.endpoint.EmptyInputException emptyInputException;

    public EmptyInputException_Exception() {
        super();
    }

    public EmptyInputException_Exception(String message) {
        super(message);
    }

    public EmptyInputException_Exception(String message, java.lang.Throwable cause) {
        super(message, cause);
    }

    public EmptyInputException_Exception(String message, ru.kolevatykh.tm.endpoint.EmptyInputException emptyInputException) {
        super(message);
        this.emptyInputException = emptyInputException;
    }

    public EmptyInputException_Exception(String message, ru.kolevatykh.tm.endpoint.EmptyInputException emptyInputException, java.lang.Throwable cause) {
        super(message, cause);
        this.emptyInputException = emptyInputException;
    }

    public ru.kolevatykh.tm.endpoint.EmptyInputException getFaultInfo() {
        return this.emptyInputException;
    }
}
